<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_4c760fb02a49c55509ba087b" . "84fbda45" => base64_decode("ZH" . "Jh" . "Zn" . "Q="), "t" . "y" . "p" . "e" => base64_decode("dHlwZQ=" . "="), "_d0845bff5cd0ddb5ed" . "1d7bd9db996f51" => base64_decode("c291c" . "mNl"), "_80e7ee43fdf8" . "38101a2303a7b" . "4a50efc" => base64_decode("dG9fZ" . "m9sZG" . "VyX2l" . "k"), "_939c6a45ff74323dbe" . "f487ed15753a7c" => base64_decode("c3RhdGU" . "="), "_32155ccb342f1990" . "43093041c1b3bb57" => base64_decode("ZnJvbV9mb2xkZXJfaW" . "Q="), "_2e858fb1973337f53ff85c104" . "fcb38f4" => base64_decode("cHVi" . "bGlz" . "aGVk"));
use Claromentis\Core\Event\GenericEvent;


class AddDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_939c6a45ff" . "74323dbef48" . "7ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_939c6a45ff74323dbef" . "487ed15753a7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4c760fb02a49c5550" . "9ba087b84fbda45"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2e858fb1973337f53ff" . "85c104fcb38f4"];
    }
    public function GetType()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["typ" . "e"]);
    }
    
    
    
    
    public function GetTypeName()
    {
        return \ERMSDocTypes::GetName($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["typ" . "e"]));
    }
    public function GetSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d0845bff5cd0ddb5ed1d7bd9db996f" . "51"]);
    }
    public function GetFromFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_32155ccb342f199043093041c1b3bb" . "57"]);
    }
    public function GetToFolderId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_80e7ee43fdf838101a2303a7b4a50e" . "fc"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}